summaryrefslogtreecommitdiff
path: root/resources/scripts/update/blobs/inject
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2023-06-24 23:23:16 +0100
committerLeah Rowe <leah@libreboot.org>2023-06-24 23:23:16 +0100
commit941fbcbf1b070c5e82c8590e6a4f1afcc0da78a4 (patch)
tree6cdbfaaab4b1f684e0fe75674f69c0a9eb4e8251 /resources/scripts/update/blobs/inject
parent4a49ea3599c8610984c41ef6a234556ed9d0bce5 (diff)
run coreboot utils from own directory
this means coreboot can now be distcleaned safely, before and after each build of a rom image Signed-off-by: Leah Rowe <leah@libreboot.org>
Diffstat (limited to 'resources/scripts/update/blobs/inject')
-rwxr-xr-xresources/scripts/update/blobs/inject16
1 files changed, 3 insertions, 13 deletions
diff --git a/resources/scripts/update/blobs/inject b/resources/scripts/update/blobs/inject
index ca8aae4c..891cb198 100755
--- a/resources/scripts/update/blobs/inject
+++ b/resources/scripts/update/blobs/inject
@@ -17,8 +17,8 @@ releasearchive=""
cbdir="coreboot/default"
cbcfgsdir="resources/coreboot"
-ifdtool="${cbdir}/util/ifdtool/ifdtool"
-cbfstool="${cbdir}/util/cbfstool/cbfstool"
+ifdtool="cbutils/default/ifdtool"
+cbfstool="cbutils/default/cbfstool"
nvmutil="util/nvmutil/nvm"
boarddir=""
pciromsdir="pciroms"
@@ -140,17 +140,7 @@ build_dependencies()
./download coreboot default
fi
- if [ ! -f "${ifdtool}" ]; then
- printf "building ifdtool from coreboot\n"
- ./build module cbutils default \
- || fail 'could not build ifdtool'
- fi
-
- if [ ! -f "${cbfstool}" ]; then
- printf "building cbfstool from coreboot\n"
- ./build module cbutils default \
- || fail 'could not build cbfstool'
- fi
+ ./build module cbutils default || fail "could not build cbutils"
./blobutil download ${board} || \
fail "Could not download blobs for ${board}"